package com.op.mes.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.op.common.core.annotation.Excel;
import com.op.common.core.web.domain.BaseEntity;

import java.util.List;

/**
 * 工艺线体关联对象 pro_route_line
 *
 * @author Open Platform
 * @date 2023-07-13
 */
public class ProRouteLine extends BaseEntity {
	private static final long serialVersionUID = 1L;

	/** 记录ID */
	private String recordId;

	/** 工艺路线ID */
	@Excel(name = "工艺路线ID")
	private String routeId;

	/** 线体ID */
	@Excel(name = "线体ID")
	private String itemId;

	/** 线体编码 */
	@Excel(name = "线体编码")
	private String itemCode;

	/** 线体名称 */
	@Excel(name = "线体名称")
	private String itemName;

	/** 预留字段1 */
	@Excel(name = "预留字段1")
	private String attr1;

	/** 预留字段2 */
	@Excel(name = "预留字段2")
	private String attr2;

	/** 预留字段3 */
	@Excel(name = "预留字段3")
	private String attr3;

	/** 预留字段4 */
	@Excel(name = "预留字段4")
	private String attr4;

	private String key;
	private String label;
	private List<ProRouteLine> unSelect;
	private List<ProRouteLine> selected;
	private List<String> selectedValues;

	public List<String> getSelectedValues() {
		return selectedValues;
	}

	public void setSelectedValues(List<String> selectedValues) {
		this.selectedValues = selectedValues;
	}

	public List<ProRouteLine> getUnSelect() {
		return unSelect;
	}

	public void setUnSelect(List<ProRouteLine> unSelect) {
		this.unSelect = unSelect;
	}

	public List<ProRouteLine> getSelected() {
		return selected;
	}

	public void setSelected(List<ProRouteLine> selected) {
		this.selected = selected;
	}

	public String getKey() {
		return key;
	}

	public void setKey(String key) {
		this.key = key;
	}

	public String getLabel() {
		return label;
	}

	public void setLabel(String label) {
		this.label = label;
	}

	public void setRecordId(String recordId) {
		this.recordId = recordId;
	}

	public String getRecordId() {
		return recordId;
	}
	public void setRouteId(String routeId) {
		this.routeId = routeId;
	}

	public String getRouteId() {
		return routeId;
	}
	public void setItemId(String itemId) {
		this.itemId = itemId;
	}

	public String getItemId() {
		return itemId;
	}
	public void setItemCode(String itemCode) {
		this.itemCode = itemCode;
	}

	public String getItemCode() {
		return itemCode;
	}
	public void setItemName(String itemName) {
		this.itemName = itemName;
	}

	public String getItemName() {
		return itemName;
	}
	public void setAttr1(String attr1) {
		this.attr1 = attr1;
	}

	public String getAttr1() {
		return attr1;
	}
	public void setAttr2(String attr2) {
		this.attr2 = attr2;
	}

	public String getAttr2() {
		return attr2;
	}
	public void setAttr3(String attr3) {
		this.attr3 = attr3;
	}

	public String getAttr3() {
		return attr3;
	}
	public void setAttr4(String attr4) {
		this.attr4 = attr4;
	}

	public String getAttr4() {
		return attr4;
	}

	@Override
	public String toString() {
		return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
			.append("recordId", getRecordId())
			.append("routeId", getRouteId())
			.append("itemId", getItemId())
			.append("itemCode", getItemCode())
			.append("itemName", getItemName())
			.append("remark", getRemark())
			.append("attr1", getAttr1())
			.append("attr2", getAttr2())
			.append("attr3", getAttr3())
			.append("attr4", getAttr4())
			.append("createBy", getCreateBy())
			.append("createTime", getCreateTime())
			.append("updateBy", getUpdateBy())
			.append("updateTime", getUpdateTime())
			.toString();
	}
}
